<?
$id = $_SESSION['id'];
if(isset($_POST['update'])){
	mysql_query("update insti_serv set insti_codigo=$id, insti_serv_descr='$i034a' where insti_serv_codigo=".$_POST['update'], $link);
	$serv_id= $_POST['update'];
} else {
	mysql_query("insert into insti_serv(insti_codigo, insti_serv_descr) values ($id, '$i034a')", $link);
	$serv_id= mysql_insert_id();	
}

$q = mysql_query("select pobl_meta_codigo from pobl_meta", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);


mysql_query("delete from benef_serv where insti_serv_codigo=".$serv_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i036".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into benef_serv(insti_serv_codigo, pobl_meta_codigo) values ($serv_id ,$_POST[$cad])", $link);
	}
}

$q = mysql_query("select vocacion_codigo from vocacion", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);

mysql_query("delete from alcance_serv where insti_serv_codigo=".$serv_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i037".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into alcance_serv(insti_serv_codigo, vocacion_codigo) values ($serv_id ,$_POST[$cad])", $link);
	}
}
if(isset($aceptaro)){
		header("location:servicios.htm");
	} else if(isset($aceptar)){
		header("location:productos.htm");
	}
?>